package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="货权转移送达单位-放货码头")
public class RmsCargodep implements IBasePO<BigDecimal> {
    /**
     * 货权转移送达单位id(CARGO_CARRIER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="货权转移送达单位id",required=true)
    private BigDecimal cargoCarrierId;

    /**
     * 货权转移送达单位名称(CARGO_CARRIER_NAME,VARCHAR,255)
     */
    @ApiModelProperty(value="货权转移送达单位名称",required=false)
    private String cargoCarrierName;

    /**
     * 操作人员姓名(INSERT_USERNAME,VARCHAR,255)
     */
    @ApiModelProperty(value="操作人员姓名",required=false)
    private String insertUsername;

    /**
     * 操作时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="操作时间",required=false)
    private Date insertTime;

    /**
     * 修改操作人员姓名(UPDATE_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="修改操作人员姓名",required=false)
    private String updateName;

    /**
     * 修改操作人员时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改操作人员时间",required=false)
    private Date updateTime;

    /**
     * 货权转移送达单位类型(CARGO_CARRIER_TYPE,DECIMAL,0)
     */
    @ApiModelProperty(value="货权转移送达单位类型",required=false)
    private String cargoCarrierType;

    /**
     * 删除状态（0为未删除，1为已删除）(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="删除状态（0为未删除，1为已删除）",required=false)
    private BigDecimal deleted;

    /**
     * 删除人员姓名(DELETED_NAME,VARCHAR,255)
     */
    @ApiModelProperty(value="删除人员姓名",required=false)
    private String deletedName;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.cargoCarrierId;
    }

    @Override
    public void setId(BigDecimal cargoCarrierId) {
        this.cargoCarrierId = cargoCarrierId;
    }

    public BigDecimal getCargoCarrierId() {
        return cargoCarrierId;
    }

    public void setCargoCarrierId(BigDecimal cargoCarrierId) {
        this.cargoCarrierId = cargoCarrierId;
    }

    public String getCargoCarrierName() {
        return cargoCarrierName;
    }

    public void setCargoCarrierName(String cargoCarrierName) {
        this.cargoCarrierName = cargoCarrierName == null ? null : cargoCarrierName.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName == null ? null : updateName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCargoCarrierType() {
        return cargoCarrierType;
    }

    public void setCargoCarrierType(String cargoCarrierType) {
        this.cargoCarrierType = cargoCarrierType;
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public String getDeletedName() {
        return deletedName;
    }

    public void setDeletedName(String deletedName) {
        this.deletedName = deletedName == null ? null : deletedName.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", cargoCarrierId=").append(cargoCarrierId);
        sb.append(", cargoCarrierName=").append(cargoCarrierName);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateName=").append(updateName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", cargoCarrierType=").append(cargoCarrierType);
        sb.append(", deleted=").append(deleted);
        sb.append(", deletedName=").append(deletedName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}